=== debian/changelog ===
kadu (0.6.5.4.ds1-3ubuntu2) maverick; urgency=low

  * Remove libqt4-webkit-dev from build-depends and add
    libqtwebkit-dev for qtwebkit transition

 -- Kiszel Kristóf <ulysses@kubuntu.org>  Wed, 21 Jul 2010 15:24:54 +0200

kadu (0.6.5.4.ds1-3ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, (LP: #602465) remaining changes:
    - debian/control: Build-Depend on libqt4-webkit-dev as
      QtWebKit is no longer part of libqt4-deve.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 14 Jul 2010 20:41:27 +0200

kadu (0.6.5.4.ds1-3) unstable; urgency=low

  * Added missing #include <sys/stat.h> to main.cpp -- fixing FTBFS on Ubuntu
    Maverick
  * Bumped Standards-Version to 3.9.0

 -- Patryk Cisek <patryk@debian.org>  Tue, 13 Jul 2010 15:20:52 +0200

kadu (0.6.5.4.ds1-2) unstable; urgency=low

  * Updated debian/README.source to fit to new packaging schema
    3.0 (quilt)

 -- Patryk Cisek <patryk@debian.org>  Thu, 24 Jun 2010 13:57:04 +0200

kadu (0.6.5.4.ds1-1) unstable; urgency=low

  * Added missing copyright notices about dbus and pajacyk modules to
    debian/copyright
  * Updated year ranges in debian/copyright from ...-2009 to ...-2010
  * Standards-Version to 3.8.4
  * Migrated to 3.0 (quilt) format
  * Set fake 0.6.5.4.ds1 version to simulate new upstream release.
  * Now original Kadu .tar.bz2 is .orig.tar.bz2 instead being put inside
    .orig.tar.gz.

 -- Patryk Cisek <patryk@debian.org>  Mon, 21 Jun 2010 14:36:20 +0200

kadu (0.6.5.4-1ubuntu1) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 21:13:29 +0200

kadu (0.6.5.4-1) unstable; urgency=low

  * New upstream release
  * Refreshed patches in debian/patches to code changes since last stable
    release of Kadu
  * Added debian/patches/06-mail.patch -- updates external mail module
    to new API in kadu-0.6.5.4. Patch maintained by Kadu Team.
  * Updated external modules to their newest versions
  * Added dbus module to kadu package
  * Added pajacyk, single_window and mpris_mediaplayer to
    kadu-external-modules
  * Added kadu-pajacyk external module

 -- Patryk Cisek <patryk@debian.org>  Mon, 08 Feb 2010 08:34:11 +0000

kadu (0.6.5.4~rc1-2) experimental; urgency=low

  * Backported upstream image sending fix

 -- Patryk Cisek <patryk@debian.org>  Fri, 18 Dec 2009 08:41:24 +0000

kadu (0.6.5.4~rc1-1) experimental; urgency=low

  * New upstream release
  * Updated external modules to their newest upstream versions
  * Updated external themes to their newest upstream versions

 -- Patryk Cisek <patryk@debian.org>  Tue, 08 Dec 2009 17:17:11 +0000

kadu (0.6.5.3-2) unstable; urgency=low

  * Added debian/patches/05-lib64-suffix-fix.patch to fix FTBFS on 64-bit
    architectures

 -- Patryk Cisek <patryk@debian.org>  Tue, 15 Sep 2009 12:51:15 +0200

kadu (0.6.5.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.8.3 (no changed needed)
  * Added -DLIB_SUFFIX_64=0 to cmake invocation to force kadu's modules
    being installed in /usr/lib on 64-bit architectures

 -- Patryk Cisek <patryk@debian.org>  Thu, 10 Sep 2009 09:53:38 +0200

kadu (0.6.5.2-4) unstable; urgency=low

  * Fixed regressive bug: AUTHORS, THANKS, LICENSE, about-changes-tab.txt are
    again (after abandoning CDBS) prevented from being compressed, since
    their contents are listed in About dialog box

 -- Patryk Cisek <patryk@debian.org>  Mon, 27 Jul 2009 13:01:21 +0200

kadu (0.6.5.2-3) unstable; urgency=low

  * CDBS is no longer used for building
  * Removed build dependency on autotools-dev -- Kadu is cmake-based now
  * Backported upstream patch
    (debian/patches/05-backported-plus_pl_sms-AJAX-fix.patch) for plus_pl_sms
    to make it work with new AJAX SMS gateway

 -- Patryk Cisek <patryk@debian.org>  Sun, 26 Jul 2009 13:37:43 +0200

kadu (0.6.5.2-2) unstable; urgency=low

  * Added debian/patches/04-gcc4.4-build-fix.patch, which fixes compilation
    errors, when using gcc-4.4 (Closes: #525892)

 -- Patryk Cisek <patryk@prezu.one.pl>  Tue, 12 May 2009 17:38:34 +0200

kadu (0.6.5.2-1) unstable; urgency=low

  * New upstream release
  * debian/extract.sh: Added "-k" to tar invocations to avoid overwriting
    potentially patched (by debian/patches) external modules/themes
  * Added encryption module -- new version gets rid of GPL vs. OpenSSL
    license issue
  * Updated debian/patches/02-.config.patch to include new modules
  * Added new Build-Depends to compile newly added modules
  * Bumped Standards-Version to 3.8.1

 -- Patryk Cisek <patryk@prezu.one.pl>  Sat, 02 May 2009 10:13:44 +0200

kadu (0.6.5.1-5) unstable; urgency=low

  * Removed debian/patches/05-default_sms-fix.patch and
    debian/patches/06-saveWindowsGeometry-fix.patch -- they've alreadt been
    applied upstream
  * qt4_docking is now linked dynamically (Closes: #515045)
  * Removed "libvlc0-dev | libvlc-dev, and xmms2-dev" from Build-Depends --
    *_mediaplayer modules in their current versions use D-Bus to communicate
    players

 -- Patryk Cisek <patryk@prezu.one.pl>  Fri, 13 Feb 2009 15:34:33 +0100

kadu (0.6.5.1-4) unstable; urgency=low

  * Added debian/patches/04-config_wizard_no_data_content.patch -- content of
    /usr/share/kadu/modules/data/config_wizard/ should not be empty. It should
    contain some .png files needed by config_wizard module. This patch fixes
    the bug.

 -- Patryk Cisek <patryk@prezu.one.pl>  Tue, 10 Feb 2009 09:53:19 +0100

kadu (0.6.5.1-3) unstable; urgency=low

  * Changed the order of libvlc-dev and libvlc0-dev in Build-Depends -- sbuild
    failed to build the package when $check_depends_algorithm = "first-only";
    in sbuild.conf was set

 -- Patryk Cisek <patryk@prezu.one.pl>  Sun, 08 Feb 2009 15:14:36 +0100

kadu (0.6.5.1-2) unstable; urgency=low

  * Moving 0.6.5.1 from experimental to unstable

 -- Patryk Cisek <patryk@prezu.one.pl>  Mon, 02 Feb 2009 21:30:29 +0100

kadu (0.6.5.1-1) experimental; urgency=low


