=== debian/control ===
Source: kadu
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
Build-Depends: cmake (>=2.6), debhelper (>= 7), patchutils (>= 0.2.25), sharutils, bzip2, libqt4-dev, libao-dev, libsndfile1-dev (>= 1.0), libcurl3-gnutls-dev, libaudio-dev, libxtst-dev, libgadu-dev, libaspell-dev, libasound-dev, libdbus-1-dev, libqca2-dev, x11proto-scrnsaver-dev, libxss-dev, libphonon-dev, libqtwebkit-dev
Standards-Version: 3.9.0
Homepage: http://kadu.net

Package: kadu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kadu-common (= ${source:Version}), libqca2-plugin-ossl
Recommends: kadu-external-modules (>= 0.6.5-1)
Conflicts: kadu-external-modules (<< 0.6.5-1), kadu-kde-modules, kadu-gtk-modules
Replaces: kadu-kde-modules, kadu-gtk-modules
Suggests: kadu-themes
Description: Gadu-Gadu client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides Kadu along with modules developed by Kadu developers.

Package: kadu-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kadu-external-modules (>= 0.6.5-1)
Conflicts: kadu (<< 0.6.5-1)
Suggests: kadu-themes
Description: Gadu-Gadu client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides data common for all architectures.

Package: kadu-external-modules
Architecture: any
Depends: kadu (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: kadu (<< 0.6.5-1)
Description: Additional modules for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides additional packages developed by external developers.
 See README.Debian for more details.

Package: kadu-themes
Architecture: all
Depends: ${misc:Depends}
Recommends: kadu (>= 0.5.0-1)
Description: Additional icons and emoticons for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 version for *nix systems.
 .
 This package provides additional icons and emoticons themes for Kadu.
